// ---=== Sky ===--
// q3map_sunExt <red> <green> <blue> <intensity> <degrees> <elevation> <deviance> <samples>
// intensity falls off with angle but not distance 100 is a fairly bright sun
// degree of 0 = from the east, 90 = north, etc.  altitude of 0 = sunrise/set, 90 = noon
// deviance: The number of degrees for the half-shadow. General values up to 2 or 3 are acceptable. 
// The real sun has a solid angle of about half a degree.
// samples: the number of random jitters distributed over the solid arc (~16).
// this sky must be compiled with Q3Map2 2.5.11 or later using -skyfix

textures/ut4_misteria/mst_sky1
{
	qer_editorimage env/ut4_misteria/interstellar_ft.tga
	
	skyparms env/ut4_misteria/interstellar 128 -
	
	q3map_sunEXT 1 1 1 200 0 90 1 16
//	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 8
	q3map_skyLight 310 3
	q3map_globaltexture
	q3map_lightsubdivide 256
	q3map_backsplash 0 0

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nodlight

	nopicmip
	nomipmaps
	
//	{
//		map env/ut4_misteria/sky_clouds.tga
//		tcMod scale 3 3
//		tcMod scroll 0.005 -0.0125
//		rgbGen identityLighting
//	}
//	{
//		map env/ut4_misteria/sky_arc_masked.tga
//		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
//		tcMod transform 0.25 0 0 0.25 0.1075 0.1075
//		rgbGen identityLighting
//	}
	{
		map textures/ut4_misteria/clouds3.tga
		blendfunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 2 3
		tcMod scroll -0.08 0.025
		rgbGen identityLighting
	}
	{
		map textures/ut4_misteria/clouds1.tga
		blendfunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 3 3
		tcMod scroll 0.05 -0.0125
		rgbGen identityLighting
	}
}

// ---=== fog/clouds ===---

textures/ut4_misteria/mst_fogcaulk
{
	qer_trans 0.45
	q3map_noclip
	surfaceparm trans
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm nolightmap

   
}

textures/ut4_misteria/mst_fog

{
	qer_editorimage textures/ut4_misteria/clouds3.tga
	qer_trans 0.9
	qer_nocarve

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( 0.5 0.5 0.5 ) 80
}


textures/ut4_misteria/mst_cloud

{
	qer_editorimage textures/ut4_misteria/clouds3.tga
	qer_trans 0.9
	qer_nocarve

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap

	{
		map textures/ut4_misteria/clouds3.tga
		blendfunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 2 3
		tcMod scroll 0.025 -0.0325
	}

}

textures/ut4_misteria/mst_cloud2

{
	qer_editorimage textures/ut4_misteria/clouds1.tga
	qer_trans 0.9
	qer_nocarve

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap

	deformVertexes bulge 1 1 .5
	deformVertexes wave 32 sin 0 1 0 .5

	{
		map textures/ut4_misteria/clouds1.tga
		blendfunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 3 4
		tcMod scroll 0.125 -0.0325
	}

}

textures/ut4_misteria/mst_cloud3

{
	qer_editorimage textures/ut4_misteria/clouds2.tga
	qer_trans 0.9
	qer_nocarve

	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nolightmap

	deformVertexes bulge 1 1 .5
	deformVertexes wave 32 sin 0 1 0 .5

	{
		map textures/ut4_misteria/clouds2.tga
		blendfunc  GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		tcMod scale 3 2
		tcMod scroll 0.025 -0.1325
	}

}

// ---=== No Damage ===---
textures/ut4_misteria/pr_concrete010:q3map
{
	surfaceparm nodamage
}

textures/ut4_misteria/pr_concrete044:q3map
{
	surfaceparm nodamage
}

textures/ut4_misteria/e8crete03fadedwarn:q3map
{
	surfaceparm nodamage
}

textures/ut4_misteria/e8clangfloor04warn:q3map
{
	surfaceparm nodamage
}

textures/ut4_misteria/e8clangfloor04warn2:q3map
{
	surfaceparm nodamage
}

textures/ut4_misteria/e8clangwarnmix:q3map
{
	surfaceparm nodamage
}

textures/ut4_misteria/e8clangwarnmix_b:q3map
{
	surfaceparm nodamage
}

textures/ut4_misteria/e8clangwarnmix_c:q3map
{
	surfaceparm nodamage
}

textures/ut4_misteria/e8warn2steplight:q3map
{
	surfaceparm nodamage
}

textures/ut4_misteria/e8warning2step:q3map
{
	surfaceparm nodamage
}

textures/ut4_misteria/e8warning2:q3map
{
	surfaceparm nodamage
}

textures/ut4_misteria/e8warning128:q3map
{
	surfaceparm nodamage
}

textures/ut4_misteria/e8warning256:q3map
{
	surfaceparm nodamage
}

textures/ut4_misteria/e8wrntrim:q3map
{
	surfaceparm nodamage
}

// ---=== Glass ===---

textures/ut4_misteria/mst_glass
{
	qer_editorimage textures/ut4_misteria/shiny3.tga
	qer_trans 0.5
	surfaceparm lightfilter
	surfaceparm nodamage
	q3map_bounce .1	

	{
		map textures/ut4_misteria/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}

}

textures/ut4_misteria/mst_glass_slk
{
	qer_editorimage textures/ut4_misteria/shiny3.tga
	qer_trans 0.5
	surfaceparm lightfilter
	surfaceparm slick
	surfaceparm nodamage
	q3map_bounce .1	

	{
		map textures/ut4_misteria/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}

}

textures/ut4_misteria/mst_glass_nons
{
	qer_editorimage textures/ut4_misteria/shiny3.tga
	qer_trans 0.5
	surfaceparm lightfilter
	surfaceparm nodamage
	surfaceparm nonsolid
	q3map_bounce .1	

	{
		map textures/ut4_misteria/tinfx.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}

}

// ---=== Ladderclip ===---

textures/ut4_misteria/mst_ladderclip
{
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm playerclip
	surfaceparm noimpact
	surfaceparm ladder
	surfaceparm trans
}

// ---=== Light Emitting Textures ===---

textures/ut4_misteria/mst_glassblk04
{
	qer_editorimage textures/ut4_misteria/pr_glassblock04.jpg 
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_misteria/pr_glassblock04.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_misteria/pr_glassblock04.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_misteria/mst_glassblk04_b
{
	qer_editorimage textures/ut4_misteria/pr_glassblock04b.jpg 
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_misteria/pr_glassblock04b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_misteria/pr_glassblock04b.jpg
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_misteria/mst_glassblk04_r
{
	qer_editorimage textures/ut4_misteria/pr_glassblock04r.jpg 
	surfaceparm nodamage
	q3map_surfacelight 100
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/ut4_misteria/pr_glassblock04r.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/ut4_misteria/pr_glassblock04r.jpg
		blendfunc GL_ONE GL_ONE
	}
}

// ---=== Lasers ===---

textures/ut4_misteria/mst_las_blue1
{
	qer_editorimage textures/ut4_misteria/laser_blue1.jpg
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	q3map_surfacelight 300

	{
		animmap 12 textures/ut4_misteria/laser_blue1.jpg textures/ut4_misteria/laser_blue3.jpg textures/ut4_misteria/laser_blue1.jpg textures/ut4_misteria/laser_blue2.jpg textures/ut4_misteria/laser_blue4.jpg textures/ut4_misteria/laser_blue2.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_misteria/mst_las_green1
{
	qer_editorimage textures/ut4_misteria/laser_green1.jpg
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	q3map_surfacelight 300

	{
		animmap 12 textures/ut4_misteria/laser_green1.jpg textures/ut4_misteria/laser_green3.jpg textures/ut4_misteria/laser_green1.jpg textures/ut4_misteria/laser_green2.jpg textures/ut4_misteria/laser_green4.jpg textures/ut4_misteria/laser_green2.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/ut4_misteria/mst_las_red1
{
	qer_editorimage textures/ut4_misteria/laser_red1.jpg
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	q3map_surfacelight 300

	{
		animmap 12 textures/ut4_misteria/laser_red1.jpg textures/ut4_misteria/laser_red3.jpg textures/ut4_misteria/laser_red1.jpg textures/ut4_misteria/laser_red2.jpg textures/ut4_misteria/laser_red4.jpg textures/ut4_misteria/laser_red2.jpg
		blendFunc GL_ONE GL_ONE
	}
}


textures/ut4_misteria/mst_beam1
{
	qer_editorimage textures/ut4_misteria/beam_1.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/ut4_misteria/beam_1.tga
                blendFunc add
		tcMod scroll -.0 -.8
        }
}

textures/ut4_misteria/mst_beam2
{
	qer_editorimage textures/ut4_misteria/beam_1.tga
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	cull none
	{
		map textures/ut4_misteria/beam_1.tga
                blendFunc add
		tcMod scroll -.0 -.95
        }
}

// ---=== Green SLIME!!! ===---
// ---=== light emitting slime ===---

textures/ut4_misteria/mst_slime
{
	qer_editorimage textures/ut4_misteria/slime_grn.tga
	q3map_lightimage textures/ut4_misteria/slime_grn.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.5

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans	

	q3map_surfacelight 300
	q3map_tessSize 64
	cull disable

	deformVertexes wave 256 sin 0 1 0.5 0.5
	{
		map textures/ut4_misteria/slime_grn.tga
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_misteria/slime_grnc.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_misteria/slime_grn.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb 0.2 0.1 0.1 0.2
		tcMod scale 0.05 0.05
		tcMod scroll 0.001 0.001
	}	
}

textures/ut4_misteria/mst_slimecaulk
{
qer_editorimage textures/ut4_misteria/slime_grn.tga
qer_trans 0.5
surfaceparm nodraw
surfaceparm detail
surfaceparm noimpact
surfaceparm nonsolid
surfaceparm trans
surfaceparm slime
}

// ---=== oozes ===---

textures/ut4_misteria/mst_oozecaulk
{
qer_editorimage textures/ut4_misteria/ooze_prpl.tga
qer_trans 0.5
surfaceparm nodraw
surfaceparm detail
surfaceparm noimpact
surfaceparm nonsolid
surfaceparm trans
surfaceparm slime
}


textures/ut4_misteria/mst_oozprpl_drk
{
	qer_editorimage textures/ut4_misteria/ooze_prpl_drk.tga
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 8

	qer_nocarve
	qer_trans 0.6
	q3map_surfacelight 200

	{
		map textures/ut4_misteria/ooze_prpl_drk.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_misteria/ooze_prpl_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_misteria/ooze_prpl_drk.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_misteria/ooze_prpl_drk.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_misteria/mst_oozprpl
{
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 8

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_misteria/ooze_prpl.tga
	q3map_surfacelight 300

	{
		map textures/ut4_misteria/ooze_prpl.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_misteria/ooze_prpl_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_misteria/ooze_prpl.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_misteria/ooze_prpl.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_misteria/mst_oozorng
{
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 8

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_misteria/ooze_orng.tga
	q3map_surfacelight 300

	{
		map textures/ut4_misteria/ooze_orng.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_misteria/ooze_orng_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_misteria/ooze_orng.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_misteria/ooze_orng.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_misteria/mst_oozgreen
{
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 8

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_misteria/ooze_green.tga
	q3map_surfacelight 300

	{
		map textures/ut4_misteria/ooze_green.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_misteria/ooze_green_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_misteria/ooze_green.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_misteria/ooze_green.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_misteria/mst_oozred
{
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 8

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_misteria/ooze_red.tga
	q3map_surfacelight 300

	{
		map textures/ut4_misteria/ooze_red.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_misteria/ooze_red_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_misteria/ooze_red.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_misteria/ooze_red.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_misteria/mst_oozblue
{
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 8

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_misteria/ooze_blue.tga
	q3map_surfacelight 300

	{
		map textures/ut4_misteria/ooze_blue.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_misteria/ooze_blue_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_misteria/ooze_blue.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_misteria/ooze_blue.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_misteria/mst_oozyellw
{
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 8

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_misteria/ooze_yellw.tga
	q3map_surfacelight 300

	{
		map textures/ut4_misteria/ooze_yellw.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_misteria/ooze_yellw_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_misteria/ooze_yellw.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_misteria/ooze_yellw.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

textures/ut4_misteria/mst_oozgrey
{
	surfaceparm alphashadow
	surfaceparm lightfilter
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slime

	cull disable
	sort 8

	qer_nocarve
	qer_trans 0.6
	qer_editorimage textures/ut4_misteria/ooze_grey.tga

	{
		map textures/ut4_misteria/ooze_grey.tga
		blendfunc gl_dst_color gl_zero
		tcMod scroll -0.025 -0.3
		alphafunc ge128
	}
	{
		map textures/ut4_misteria/ooze_grey_brt.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.6
		alphafunc ge128
	}
	{
		map textures/ut4_misteria/ooze_grey.tga
		blendfunc gl_dst_color gl_one
		tcMod scroll 0.025 -0.45
		alphafunc ge128
	}
	{
		map textures/ut4_misteria/ooze_grey.tga
		blendfunc filter
		tcMod scroll 0 -1.0
		alphafunc ge128
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one
		depthfunc equal
	}
}

// ---=== wave-noflow ooze ===---

textures/ut4_misteria/mst_wav_oozblue
{
	qer_editorimage textures/ut4_misteria/ooze_blue.tga
	q3map_lightimage textures/ut4_misteria/ooze_blue.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.8

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans	

	q3map_surfacelight 50
	q3map_tessSize 64
	cull disable

	deformVertexes wave 256 sin 0 1 0.5 0.5
//	deformVertexes bulge 1 1 .5

	{
		map textures/ut4_misteria/ooze_blue.tga
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_misteria/ooze_blue_brt.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_misteria/ooze_blue.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb 0.2 0.1 0.1 0.2
		tcMod scale 0.05 0.05
		tcMod scroll 0.001 0.001
	}	
}

textures/ut4_misteria/mst_wav_oozgreen
{
	qer_editorimage textures/ut4_misteria/ooze_green.tga
	q3map_lightimage textures/ut4_misteria/ooze_green.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.8

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans	

	q3map_surfacelight 200
	q3map_tessSize 64
	cull disable

	deformVertexes wave 256 sin 0 1 0.5 0.5
//	deformVertexes bulge 1 1 .5

	{
		map textures/ut4_misteria/ooze_green.tga
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_misteria/ooze_prpl_brt.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_misteria/ooze_green.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb 0.2 0.1 0.1 0.2
		tcMod scale 0.05 0.05
		tcMod scroll 0.001 0.001
	}	
}

textures/ut4_misteria/mst_wav_oozgrey
{
	qer_editorimage textures/ut4_misteria/ooze_grey.tga
	q3map_lightimage textures/ut4_misteria/ooze_grey.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.8

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans	

	q3map_surfacelight 200
	q3map_tessSize 64
	cull disable

	deformVertexes wave 256 sin 0 1 0.5 0.5
//	deformVertexes bulge 1 1 .5

	{
		map textures/ut4_misteria/ooze_grey.tga
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_misteria/ooze_grey_brt.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_misteria/ooze_grey.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb 0.2 0.1 0.1 0.2
		tcMod scale 0.05 0.05
		tcMod scroll 0.001 0.001
	}	
}

textures/ut4_misteria/mst_wav_oozorng
{
	qer_editorimage textures/ut4_misteria/ooze_orng.tga
	q3map_lightimage textures/ut4_misteria/ooze_orng.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.8

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans	

	q3map_surfacelight 200
	q3map_tessSize 64
	cull disable

	deformVertexes wave 256 sin 0 1 0.5 0.5
//	deformVertexes bulge 1 1 .5

	{
		map textures/ut4_misteria/ooze_orng.tga
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_misteria/ooze_orng_brt.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_misteria/ooze_orng.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb 0.2 0.1 0.1 0.2
		tcMod scale 0.05 0.05
		tcMod scroll 0.001 0.001
	}	
}

textures/ut4_misteria/mst_wav_oozprpl
{
	qer_editorimage textures/ut4_misteria/ooze_prpl.tga
	q3map_lightimage textures/ut4_misteria/ooze_prpl.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.8

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans	

	q3map_surfacelight 500
	q3map_tessSize 64
	cull disable

	deformVertexes wave 256 sin 0 1 0.5 0.5
//	deformVertexes bulge 1 1 .5

	{
		map textures/ut4_misteria/ooze_prpl.tga
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_misteria/ooze_prpl_brt.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_misteria/ooze_prpl.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb 0.2 0.1 0.1 0.2
		tcMod scale 0.05 0.05
		tcMod scroll 0.001 0.001
	}	
}

textures/ut4_misteria/mst_wav_oozred
{
	qer_editorimage textures/ut4_misteria/ooze_red.tga
	q3map_lightimage textures/ut4_misteria/ooze_red.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.8

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans	

	q3map_surfacelight 50
	q3map_tessSize 64
	cull disable

	deformVertexes wave 256 sin 0 1 0.5 0.5
//	deformVertexes bulge 1 1 .5

	{
		map textures/ut4_misteria/ooze_red.tga
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_misteria/ooze_red_brt.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_misteria/ooze_red.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb 0.2 0.1 0.1 0.2
		tcMod scale 0.05 0.05
		tcMod scroll 0.001 0.001
	}	
}

textures/ut4_misteria/mst_wav_oozyellw
{
	qer_editorimage textures/ut4_misteria/ooze_yellw.tga
	q3map_lightimage textures/ut4_misteria/ooze_yellw.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	q3map_lightmapFilterRadius 0 8
	qer_trans 0.8

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans	

	q3map_surfacelight 200
	q3map_tessSize 64
	cull disable

	deformVertexes wave 256 sin 0 1 0.5 0.5
//	deformVertexes bulge 1 1 .5

	{
		map textures/ut4_misteria/ooze_yellw.tga
		tcMod turb 0.3 0.2 1 0.05
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_misteria/ooze_yellw_brt.tga
		blendfunc add
		tcMod turb 0.2 0.1 1 0.05
		tcMod scale 0.5 0.5
		tcMod scroll 0.01 0.01
	}
	{
		map textures/ut4_misteria/ooze_yellw.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb 0.2 0.1 0.1 0.2
		tcMod scale 0.05 0.05
		tcMod scroll 0.001 0.001
	}	
}

// ---=== Evil Shaders ===---

textures/ut4_misteria/e6trim_light_s_nolight
{
	qer_editorimage textures/ut4_misteria/e6trim_light.tga
	surfaceparm nomarks
	surfaceparm nodamage

	{
		map textures/ut4_misteria/e6trim_light.tga
	}
	{
		map $lightmap
		blendfunc filter
	}
	{
		map textures/ut4_misteria/e6trim_light_blend.tga
		blendfunc add
	}
}

textures/ut4_misteria/e8warn2steplight
{
	qer_editorimage textures/ut4_misteria/e8warn2steplight.tga
	q3map_lightimage textures/ut4_misteria/e8warn2steplight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 50
	{
		map textures/ut4_misteria/e8warn2steplight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_misteria/e8warn2steplight.blend.tga
		blendfunc add
	}
}

textures/ut4_misteria/e8minitrimlight
{
	qer_editorimage textures/ut4_misteria/e8minitrimlight.tga
	q3map_lightimage textures/ut4_misteria/e8minitrimlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 250
	{
		map textures/ut4_misteria/e8minitrimlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_misteria/e8minitrimlight.blend.tga
		blendfunc add
	}
}

textures/ut4_misteria/e8trimlight2_blue
{
	qer_editorimage textures/ut4_misteria/e8trimlight2_blue.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/ut4_misteria/e8trimlight2_blue.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_misteria/e8trimlight2_blue.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}

textures/ut4_misteria/e8trimlight2_red
{
	qer_editorimage textures/ut4_misteria/e8trimlight2_red.tga
	surfaceparm nomarks
	q3map_surfacelight 400
	{
		map textures/ut4_misteria/e8trimlight2_red.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_misteria/e8trimlight2_red.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}

textures/ut4_misteria/e8trimlight2_blue-100
{
	qer_editorimage textures/ut4_misteria/e8trimlight2_blue.tga
	surfaceparm nomarks
	q3map_surfacelight 100
	{
		map textures/ut4_misteria/e8trimlight2_blue.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_misteria/e8trimlight2_blue.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}

textures/ut4_misteria/e8trimlight2_red-100
{
	qer_editorimage textures/ut4_misteria/e8trimlight2_red.tga
	surfaceparm nomarks
	q3map_surfacelight 100
	{
		map textures/ut4_misteria/e8trimlight2_red.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_misteria/e8trimlight2_red.blend.tga
		blendfunc add
		tcMod scroll -0.7 0
	}
}

textures/ut4_misteria/e8trim_bluefx
{
	q3map_lightimage textures/e8trim/evil8_trimfx_b.tga
	q3map_surfacelight 100
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/ut4_misteria/e8trim_bluefx.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/ut4_misteria/e8trimfx_b.tga
		blendfunc add
		tcMod scroll -2 0
	}
}

textures/ut4_misteria/e8trim_redfx
{
	q3map_lightimage textures/ut4_misteria/e8trimfx_r.tga
	q3map_surfacelight 100
	{
		map $lightmap 
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/ut4_misteria/e8trim_redfx.tga
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/ut4_misteria/e8trimfx_r.tga
		blendfunc add
		tcMod scroll -2 0
	}
}

textures/ut4_misteria/e8xgirder
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/ut4_misteria/e8xgirder.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/ut4_misteria/e8xgirder_small
{
	cull disable
	{
		map textures/ut4_misteria/e8xgirder_small.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/ut4_misteria/e8bgrate01
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	cull disable
	{
		map textures/ut4_misteria/e8bgrate01.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/ut4_misteria/e8jumpspawn02_b
{
	qer_editorimage textures/ut4_misteria/e8jumpspawn02.tga
	q3map_lightimage textures/ut4_misteria/e8jumpspawn02_fx-b.tga
	surfaceparm metalsteps
	q3map_surfacelight 100
	{
		map textures/ut4_misteria/e8jumpspawn02_fx-b.tga
		rgbGen identity
		tcMod rotate 760
	}
	{
		map textures/ut4_misteria/e8jumpspawn02.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/ut4_misteria/e8jumpspawn02_r
{
	qer_editorimage textures/ut4_misteria/e8jumpspawn02.tga
	q3map_lightimage textures/ut4_misteria/e8jumpspawn02_fx-r.tga
	surfaceparm metalsteps
	q3map_surfacelight 100
	{
		map textures/ut4_misteria/e8jumpspawn02_fx-r.tga
		rgbGen identity
		tcMod rotate 760
	}
	{
		map textures/ut4_misteria/e8jumpspawn02.tga
		blendfunc blend
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbGen identity
		tcGen lightmap 
	}
}

textures/ut4_misteria/e8tmtllight2b
{
	qer_editorimage textures/ut4_misteria/e8tmtllight2b.tga
	q3map_lightimage textures/ut4_misteria/e8tmtllight2b.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/ut4_misteria/e8tmtllight2b.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_misteria/e8tmtllight2b.blend.tga
		blendfunc add
	}
}

textures/ut4_misteria/evil8_rlight
{
	qer_editorimage textures/ut4_misteria/e8_rlight.tga
	q3map_lightimage textures/ut4_misteria/e8_rlight.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 950
	{
		map textures/ut4_misteria/e8_rlight.tga
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
	{
		map textures/ut4_misteria/e8_rlight.blend.tga
		blendfunc add
	}
}

// ---=== mrcleantex shaders ===---

textures/ut4_misteria/mst_stainls_pnl_shiny
{
	qer_editorimage textures/ut4_misteria/mrtx_stainls_pnl.tga

	{
		map textures/ut4_misteria/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_misteria/mrtx_stainls_pnl.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_misteria/mst_stainls_trim_02_shiny
{
	qer_editorimage textures/ut4_misteria/mrtx_stainls_trim_02.tga

	{
		map textures/ut4_misteria/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_misteria/mrtx_stainls_trim_02.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}
textures/ut4_misteria/mst_stainls_trim_01_shiny
{
	qer_editorimage textures/ut4_misteria/mrtx_stainls_trim_01.tga

	{
		map textures/ut4_misteria/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_misteria/mrtx_stainls_trim_01.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}

textures/ut4_misteria/mst_stainls_rib_shiny
{
	qer_editorimage textures/ut4_misteria/mrtx_stainls_rib.tga

	{
		map textures/ut4_misteria/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_misteria/mrtx_stainls_rib.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}
textures/ut4_misteria/mst_stainls_rib2_shiny
{
	qer_editorimage textures/ut4_misteria/mrtx_stainls_rib2.tga

	{
		map textures/ut4_misteria/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_misteria/mrtx_stainls_rib2.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}
textures/ut4_misteria/mst_stainls_rib2_grt_shiny
{
	qer_editorimage textures/ut4_misteria/mrtx_stainls_rib2_grt.tga

	{
		map textures/ut4_misteria/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_misteria/mrtx_stainls_rib2_grt.tga
		blendFunc blend	
		rgbGen identity
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
}
textures/ut4_misteria/mst_stainls_rib2_red_shiny
{
	qer_editorimage textures/ut4_misteria/mrtx_stainls_rib2_red.tga
	q3map_lightimage textures/ut4_misteria/mrtx_stainls_rib2_red.blend.tga
	q3map_surfacelight 50
	q3map_lightsubdivide 32

	{
		map textures/ut4_misteria/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_misteria/mrtx_stainls_rib2_red.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
    		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}

	{
		map textures/ut4_misteria/mrtx_stainls_rib2_red.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}
textures/ut4_misteria/mst_stainls_rib2_blu_shiny
{
	qer_editorimage textures/ut4_misteria/mrtx_stainls_rib2_blu.tga
	q3map_lightimage textures/ut4_misteria/mrtx_stainls_rib2_blu.blend.tga
	q3map_surfacelight 50
	q3map_lightsubdivide 32

	{
		map textures/ut4_misteria/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_misteria/mrtx_stainls_rib2_blu.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
    		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}

	{
		map textures/ut4_misteria/mrtx_stainls_rib2_blu.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}
textures/ut4_misteria/mst_stainls_rib2_grn_shiny
{
	qer_editorimage textures/ut4_misteria/mrtx_stainls_rib2_grn.tga
	q3map_lightimage textures/ut4_misteria/mrtx_stainls_rib2_grn.blend.tga
	q3map_surfacelight 50
	q3map_lightsubdivide 32

	{
		map textures/ut4_misteria/chrome_env.tga
	        rgbGen identity
		tcGen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/ut4_misteria/mrtx_stainls_rib2_grn.tga
		blendFunc blend
		rgbGen identity
	}
	{
		map $lightmap
    		rgbgen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}

	{
		map textures/ut4_misteria/mrtx_stainls_rib2_grn.blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

// ---=== soc shaders ===---

textures/ut4_misteria/mst_jpblue_floor15a
{
	qer_editorimage textures/ut4_misteria/soc_jp15a.tga
	q3map_lightimage textures/ut4_misteria/soc_jumppadsmall_b.tga	
	q3map_surfacelight 400
	{
		map textures/ut4_misteria/soc_blue_telep.tga
		tcmod rotate 180
		tcMod stretch sin 1 0.1 0 .5
	}
	{
		clampmap textures/ut4_misteria/soc_jumppadsmall_b.tga
		blendfunc ADD
		tcMod stretch sin 2 .8 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/ut4_misteria/soc_jp15a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/ut4_misteria/mst_jpred_floor15a
{
	qer_editorimage textures/ut4_misteria/soc_jp15a.tga
	q3map_lightimage textures/ut4_misteria/soc_jumppadsmall_r.tga	
	q3map_surfacelight 400
	{
		map textures/ut4_misteria/soc_red_telep.tga
		tcmod rotate 180
		tcMod stretch sin 1 0.1 0 .5
	}
	{
		clampmap textures/ut4_misteria/soc_jumppadsmall_r.tga
		blendfunc ADD
		tcMod stretch sin 2 .8 0 1.25
		rgbGen wave square .5 .5 .25 1.25
		rgbgen identity
	}
	{
		map textures/ut4_misteria/soc_jp15a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbgen identity
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}